Nano Banana 2 Lite Edit
curl --request POST \
--url https://api.goenhance.ai/api/v1/nano-banana-2-lite/edit \
--header 'Content-Type: application/json' \
--data '
{
"args": {
"prompt": "Make the sky a dramatic sunset",
"image_list": [
{
"url": "https://your-cdn.com/input.jpg"
}
],
"ratio": "16:9"
}
}
'import requests
url = "https://api.goenhance.ai/api/v1/nano-banana-2-lite/edit"
payload = { "args": {
"prompt": "Make the sky a dramatic sunset",
"image_list": [{ "url": "https://your-cdn.com/input.jpg" }],
"ratio": "16:9"
} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
args: {
prompt: 'Make the sky a dramatic sunset',
image_list: [{url: 'https://your-cdn.com/input.jpg'}],
ratio: '16:9'
}
})
};
fetch('https://api.goenhance.ai/api/v1/nano-banana-2-lite/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"msg": "Success",
"data": {
"img_uuid": "c12b656c-747a-44fd-9c80-add79b0c52d5"
}
}
Image API
Nano Banana 2 Lite Edit
Nano Banana 2 Lite image editing (Gemini 3.1 Flash Lite Image). Edit reference images with a text prompt. Outputs 1K only.
Pricing: 2 tokens per image (= $0.04).
Returns an img_uuid; poll GET /api/v1/jobs/detail (or use custom_callback_url) to get the generated image.
POST
/
api
/
v1
/
nano-banana-2-lite
/
edit
Nano Banana 2 Lite Edit
⌘I
